Subject: [bug#75688] Replace wrapper scripts with search path value files in search-paths.d

From: Maxim Cournoyer <[email-masked]>
Date: Sun, 02 Feb 2025 10:17:18 +0900

Hi,

Maxim Cournoyer <[email-masked]> writes:

> Hello!
>
> 宋文武 <[email-masked]> writes:
>
>> Hello, I write a draft GCD as "Set search paths without program wrappers",
>> need feedbacks and corrections.
>>
>> Maxim and Liliana, could I list you as sponsors and send it to
>> guix-devel?  Thank you!
>
> Yes from me!

Some typos spot in the text:

> # The Cost Of Reverting

> By limiting the creating of search path configuration files in build systems,

s/creating/creation/

> we can revert to program wrappers by several commits.

/by several commits/by manually adding wrap phases on a case by case
basis, if needed/

> # Drawbacks or Open Questions

> This propose focus to solve problems caused by program wrappers in desktop

This proposal focuses solving problems [...]

> environments, namely GNOME and KDE, individual `wrap-progam` usages are not

I'd put a full stop (period) after GNOME and KDE.  Individual [...]

> addressed.  We plan to handle that in build systems later, for examples:

s/for examples/for example/

>   - Handle `GUIX_GI_TYPELIB_PATH` and `GUIX_GDK_PIXBUF_MODULE_FILES` in
>     `glib-or-gtk-build-system`.
>   - Handle `GUIX_PYTHONPATH` in `python-build-system`.

> There are still ABI problems caused by environment variables from
> profiles, which maybe addressed later as suggested by Maxime Devos in

s/maybe/may be/

-- 
Thanks,
Maxim